Bug 214552 - devel/subversion-static: fails to build if databases/sqlite3 was built with ICU=on
Summary: devel/subversion-static: fails to build if databases/sqlite3 was built with I...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2016-11-15 22:31 UTC by Jan Beich
Modified: 2016-11-16 18:49 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-15 22:31:01 UTC
cd subversion/svn && /bin/sh "libtool" --tag=CC --silent --mode=link cc -all-static -Werror=unknown-warning-option -O2 -pipe  -fstack-protector -fno-strict-aliasing   -O2 -pipe  -fstack-protector -fno-strict-aliasing  -fstack-protector  -L/usr/local/lib -L/usr/local/lib/db5 -L/usr/local/lib            -L/usr/local/lib  -rpath /usr/local/lib  -o svn  add-cmd.lo auth-cmd.lo blame-cmd.lo cat-cmd.lo changelist-cmd.lo checkout-cmd.lo cl-conflicts.lo cleanup-cmd.lo commit-cmd.lo conflict-callbacks.lo copy-cmd.lo delete-cmd.lo deprecated.lo diff-cmd.lo export-cmd.lo file-merge.lo help-cmd.lo import-cmd.lo info-cmd.lo list-cmd.lo lock-cmd.lo log-cmd.lo merge-cmd.lo mergeinfo-cmd.lo mkdir-cmd.lo move-cmd.lo notify.lo patch-cmd.lo propdel-cmd.lo propedit-cmd.lo propget-cmd.lo proplist-cmd.lo props.lo propset-cmd.lo relocate-cmd.lo resolve-cmd.lo resolved-cmd.lo revert-cmd.lo similarity.lo status-cmd.lo status.lo svn.lo switch-cmd.lo unlock-cmd.lo update-cmd.lo upgrade-cmd.lo util.lo ../../subversion/libsvn_client/libsvn_client-1.la ../../subversion/libsvn_wc/libsvn_wc-1.la ../../subversion/libsvn_ra/libsvn_ra-1.la ../../subversion/libsvn_delta/libsvn_delta-1.la ../../subversion/libsvn_diff/libsvn_diff-1.la ../../subversion/libsvn_subr/libsvn_subr-1.la -L/usr/local/lib -laprutil-1 -ldb-5.3 -lgdbm -lexpat -L/usr/local/lib -lapr-1 -lcrypt -lpthread 
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuRegexpFunc':
(.text+0x1a0c5): undefined reference to `uregex_open'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuRegexpFunc':
(.text+0x1a112): undefined reference to `uregex_setText'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuRegexpFunc':
(.text+0x1a137): undefined reference to `uregex_matches'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuRegexpFunc':
(.text+0x1a174): undefined reference to `uregex_setText'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuCaseFunc16':
(.text+0x1a272): undefined reference to `u_strToUpper'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuCaseFunc16':
(.text+0x1a299): undefined reference to `u_strToLower'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuLikeFunc':
(.text+0x1a498): undefined reference to `utf8_nextCharSafeBody'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuLoadCollation':
(.text+0x1a572): undefined reference to `ucol_open'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuLoadCollation':
(.text+0x1a5c1): undefined reference to `ucol_close'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuFunctionError':
(.text+0x1a61d): undefined reference to `u_errorName'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuCollationColl':
(.text+0x1a6cd): undefined reference to `ucol_strcoll'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuCollationDel':
(.text+0x1a6e8): undefined reference to `ucol_close'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuLikeCompare':
(.text+0x1a7c5): undefined reference to `u_foldCase'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuLikeCompare':
(.text+0x1a7d8): undefined reference to `u_foldCase'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuRegexpDelete':
(.text+0x1a873): undefined reference to `uregex_close'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuOpen':
(.text+0x30f03): undefined reference to `utf8_nextCharSafeBody'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuOpen':
(.text+0x30f22): undefined reference to `u_foldCase'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuOpen':
(.text+0x31058): undefined reference to `utf8_nextCharSafeBody'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuOpen':
(.text+0x3108e): undefined reference to `ubrk_open'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuOpen':
(.text+0x310b1): undefined reference to `ubrk_first'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuClose':
(.text+0x310d3): undefined reference to `ubrk_close'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuNext':
(.text+0x3110c): undefined reference to `ubrk_current'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuNext':
(.text+0x31119): undefined reference to `ubrk_next'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuNext':
(.text+0x31179): undefined reference to `u_isspace'
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `icuNext':
(.text+0x311f2): undefined reference to `u_strToUTF8'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

http://package23.nyi.freebsd.org/data/103i386-default-PR214384/2016-11-14_20h14m36s/logs/errors/subversion-static-1.9.4.log
Comment 1 Jan Beich freebsd_committer 2016-11-16 06:42:18 UTC
pre-configure contains a check to fail early which no longer works after ports r359585.
Comment 2 commit-hook freebsd_committer 2016-11-16 18:48:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov 16 18:47:38 UTC 2016
New revision: 426260
URL: https://svnweb.freebsd.org/changeset/ports/426260

Log:
  devel/subversion: chase r359585

  libsqlite3.la is no longer installed, so check for an ICU function
  likely to be used.

  PR:		214552
  Reported by:	antoine (via exp-run in bug 214384)
  Approved by:	portmgr blanket

Changes:
  head/devel/subversion/Makefile